/*
SQLyog Ultimate v11.11 (64 bit)
MySQL - 5.7.16-log : Database - prodavnica
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prodavnica` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prodavnica`;

/*Table structure for table `dobavljac` */

DROP TABLE IF EXISTS `dobavljac`;

CREATE TABLE `dobavljac` (
  `dobavljacid` bigint(20) NOT NULL,
  `naziv` varchar(100) DEFAULT NULL,
  `adresa` varchar(100) DEFAULT NULL,
  `pttFK` bigint(20) DEFAULT NULL,
  `tip` varchar(2) DEFAULT NULL,
  `pib` varchar(9) DEFAULT NULL,
  `maticnibroj` varchar(8) DEFAULT NULL,
  `jmbg` varchar(13) DEFAULT NULL,
  PRIMARY KEY (`dobavljacid`),
  KEY `dobavljac_mesto` (`pttFK`),
  CONSTRAINT `dobavljac_mesto` FOREIGN KEY (`pttFK`) REFERENCES `mesto` (`ptt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dobavljac` */

insert  into `dobavljac`(`dobavljacid`,`naziv`,`adresa`,`pttFK`,`tip`,`pib`,`maticnibroj`,`jmbg`) values (1,'Trim Computers','Kneza Milosa 12',11000,'pl','888888','101010',NULL),(2,'Informatika','Jevrejska 32',11000,'pl','777777','123456',NULL),(3,'Makijal','Kosovska 15',13000,'pl','222222','357899',NULL),(4,'Marko Milic','Juzni Bulevar 55',11000,'fl',NULL,NULL,'2531234567891');

/*Table structure for table `dobavljacproizvod` */

DROP TABLE IF EXISTS `dobavljacproizvod`;

CREATE TABLE `dobavljacproizvod` (
  `dobavljacid` bigint(20) NOT NULL,
  `proizvodid` int(20) NOT NULL,
  PRIMARY KEY (`dobavljacid`,`proizvodid`),
  KEY `proizvod_dobavljac` (`proizvodid`),
  CONSTRAINT `dobavljac_proizvod` FOREIGN KEY (`dobavljacid`) REFERENCES `dobavljac` (`dobavljacid`),
  CONSTRAINT `proizvod_dobavljac` FOREIGN KEY (`proizvodid`) REFERENCES `proizvod` (`proizvodid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dobavljacproizvod` */

insert  into `dobavljacproizvod`(`dobavljacid`,`proizvodid`) values (1,1),(2,1),(1,2);

/*Table structure for table `mesto` */

DROP TABLE IF EXISTS `mesto`;

CREATE TABLE `mesto` (
  `ptt` bigint(20) NOT NULL,
  `naziv` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`ptt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mesto` */

insert  into `mesto`(`ptt`,`naziv`) values (11000,'Beograd'),(13000,'Pancevo');

/*Table structure for table `proizvod` */

DROP TABLE IF EXISTS `proizvod`;

CREATE TABLE `proizvod` (
  `proizvodid` int(11) NOT NULL AUTO_INCREMENT,
  `naziv` varchar(50) DEFAULT NULL,
  `cena` double DEFAULT NULL,
  PRIMARY KEY (`proizvodid`)
) ENGINE=InnoDB AUTO_INCREMENT=1120 DEFAULT CHARSET=utf8;

/*Data for the table `proizvod` */

insert  into `proizvod`(`proizvodid`,`naziv`,`cena`) values (1,'Bonzita',25),(2,'Ruski kvas',55),(3,'Njoke',200),(4,'Plazma',100),(111,'Cokoladna bananica',15),(222,'Tak',60),(333,'Bonzita',25),(444,'Ruski kvas',55),(555,'Njoke',200),(666,'Plazma',100),(777,'Bonzita',25),(888,'Ruski kvas',55),(999,'Jaffa keks',98),(1111,'Pera cokolada',448),(1112,'Novi naziv',155),(1113,'Pera cokolada',448),(1114,'Pera cokolada',448),(1115,'Pera cokolada',448),(1116,'Pera cokolada',448),(1117,'Pera cokolada',448),(1118,'Pera cokolada',448),(1119,'Pera cokolada',448);

/*Table structure for table `racun` */

DROP TABLE IF EXISTS `racun`;

CREATE TABLE `racun` (
  `racunID` int(11) NOT NULL,
  `dobavljac` bigint(20) DEFAULT NULL,
  `datum` date DEFAULT NULL,
  `ukupanIznos` double DEFAULT NULL,
  PRIMARY KEY (`racunID`),
  KEY `fk_racun_dobavljac` (`dobavljac`),
  CONSTRAINT `fk_racun_dobavljac` FOREIGN KEY (`dobavljac`) REFERENCES `dobavljac` (`dobavljacid`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `racun` */

/*Table structure for table `stavkaracuna` */

DROP TABLE IF EXISTS `stavkaracuna`;

CREATE TABLE `stavkaracuna` (
  `racun` int(11) NOT NULL,
  `rb` int(11) NOT NULL,
  `proizvod` int(11) DEFAULT NULL,
  `kolicina` int(11) DEFAULT NULL,
  `cena` double DEFAULT NULL,
  `iznos` double DEFAULT NULL,
  PRIMARY KEY (`racun`,`rb`),
  KEY `fk_proizvod_stavka` (`proizvod`),
  CONSTRAINT `fk_proizvod_stavka` FOREIGN KEY (`proizvod`) REFERENCES `proizvod` (`proizvodid`) ON UPDATE CASCADE,
  CONSTRAINT `fk_racun_stavka` FOREIGN KEY (`racun`) REFERENCES `racun` (`racunID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `stavkaracuna` */

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
