/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package dao.impl;

import dao.DaoProizvod;
import datamodel.Dobavljac;
import datamodel.Proizvod;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 *
 * @author NC11
 */
public class DaoProizvodImpl implements DaoProizvod {

    EntityManagerFactory emf;

    public DaoProizvodImpl() {
        emf = Persistence.createEntityManagerFactory("ProdavnicaPU");
    }

    @Override
    // metoda sacuvaj ima smisla samo ako korisnik unosi sifru
    public void sacuvaj(Proizvod proizvod) throws Exception {

        EntityManager em = emf.createEntityManager();
        Proizvod db_proizvod = em.find(Proizvod.class, proizvod.getSifra());
        if (db_proizvod == null) {
            em.getTransaction().begin();

            em.persist(proizvod);
            //em.getTransaction().begin();
            em.getTransaction().commit();
            em.close();
        } else {
            em.close();
            throw new Exception("Proizvod sa tom sifrom vec postoji.");
        }
    }

    @Override
    public void sacuvajIliAzuriraj(Proizvod proizvod) {
        EntityManager em = emf.createEntityManager();
        Proizvod db_proizvod = em.find(Proizvod.class, proizvod.getSifra());
        em.getTransaction().begin();
        if (db_proizvod == null) {
            em.persist(proizvod);
        } else {
//            db_proizvod.setNaziv(proizvod.getNaziv());
//            db_proizvod.setCena(proizvod.getCena());
            db_proizvod = em.merge(proizvod);
            //db_proizvod.setNaziv("Novi naziv");
            //proizvod.setNaziv("Novi naziv");
        }
        em.getTransaction().commit();
        em.close();
    }

    @Override
    public void sacuvajAutoIncr(Proizvod proizvod) {
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();
        Proizvod db_proizvod = em.merge(proizvod);
        em.getTransaction().commit();
        System.out.println("Novi proizvod ima sifru: " + db_proizvod.getSifra());

        em.close();
    }

    @Override
    public List<Proizvod> vratiSveProizvode() throws Exception {
        List<Proizvod> proizvodi; // = new ArrayList<>();
        EntityManager em = emf.createEntityManager();
        // jpql - radi sa klasama a ne sa tabelama
        proizvodi = em.createQuery("SELECT p FROM Proizvod p").getResultList();

        return proizvodi;
    }

}
