/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package datamodel;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author NC11
 */
@Entity
@Table(name = "dobavljac")
@Inheritance(strategy = InheritanceType.SINGLE_TABLE)
@DiscriminatorColumn(name = "tip")
@NamedQueries({
    @NamedQuery(name = "Dobavljac.findAll", query = "SELECT d FROM Dobavljac d")})
public class Dobavljac implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "dobavljacid")
    private Long dobavljacid;
    @Column(name = "naziv")
    private String naziv;
    @Column(name = "adresa")
    private String adresa;
    @ManyToOne
    @JoinColumn(name = "pttFK", referencedColumnName = "ptt")
    private Mesto pttFK;
    //veza ka agregiranoj tabeli
    @ManyToMany
    @JoinTable(name = "dobavljacproizvod",
            joinColumns = @JoinColumn(name = "dobavljacid",referencedColumnName = "dobavljacid"),
            inverseJoinColumns = @JoinColumn(name = "proizvodid",referencedColumnName = "proizvodid")
    )
    private List<Proizvod> proizvodi;
    
    public Dobavljac() {
        proizvodi = new ArrayList<>();
    }

    public Dobavljac(Long dobavljacid) {
        this.dobavljacid = dobavljacid;
    }

    public Long getDobavljacid() {
        return dobavljacid;
    }

    public void setDobavljacid(Long dobavljacid) {
        this.dobavljacid = dobavljacid;
    }

    public String getNaziv() {
        return naziv;
    }

    public void setNaziv(String naziv) {
        this.naziv = naziv;
    }

    public String getAdresa() {
        return adresa;
    }

    public void setAdresa(String adresa) {
        this.adresa = adresa;
    }

    public Mesto getPttFK() {
        return pttFK;
    }

    public void setPttFK(Mesto pttFK) {
        this.pttFK = pttFK;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (dobavljacid != null ? dobavljacid.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Dobavljac)) {
            return false;
        }
        Dobavljac other = (Dobavljac) object;
        if ((this.dobavljacid == null && other.dobavljacid != null) || (this.dobavljacid != null && !this.dobavljacid.equals(other.dobavljacid))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        //return "datamodel.Dobavljac[ dobavljacid=" + dobavljacid + " ]";
        return String.format(
                "%-10d"
                + "%-30s|"
                + "%-30s"
                + "%-8d"
                + "%-30s",
                getDobavljacid(),
                getNaziv(),
                getAdresa(),
                getPttFK().getPtt(),
                getPttFK().getNaziv());
    }

    public List<Proizvod> getProizvodi() {
        return proizvodi;
    }

    public void setProizvodi(List<Proizvod> proizvodi) {
        this.proizvodi = proizvodi;
    }

}
