/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package datamodel;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author NC11
 */
@Entity
@Table(name = "stavkaracuna")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Stavkaracuna.findAll", query = "SELECT s FROM Stavkaracuna s")
    , @NamedQuery(name = "Stavkaracuna.findByRacun", query = "SELECT s FROM Stavkaracuna s WHERE s.stavkaracunaPK.racun = :racun")
    , @NamedQuery(name = "Stavkaracuna.findByRb", query = "SELECT s FROM Stavkaracuna s WHERE s.stavkaracunaPK.rb = :rb")
    , @NamedQuery(name = "Stavkaracuna.findByKolicina", query = "SELECT s FROM Stavkaracuna s WHERE s.kolicina = :kolicina")
    , @NamedQuery(name = "Stavkaracuna.findByCena", query = "SELECT s FROM Stavkaracuna s WHERE s.cena = :cena")
    , @NamedQuery(name = "Stavkaracuna.findByIznos", query = "SELECT s FROM Stavkaracuna s WHERE s.iznos = :iznos")})
public class Stavkaracuna implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected StavkaracunaPK stavkaracunaPK;
    @Column(name = "kolicina")
    private Integer kolicina;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "cena")
    private Double cena;
    @Column(name = "iznos")
    private Double iznos;
    @ManyToOne
    @JoinColumn(name = "proizvod", referencedColumnName = "proizvodID")
    private Proizvod proizvod;
    @JoinColumn(name = "racun", referencedColumnName = "racunID", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Racun racun1;

    public Stavkaracuna() {
    }

    public Stavkaracuna(StavkaracunaPK stavkaracunaPK) {
        this.stavkaracunaPK = stavkaracunaPK;
    }

    public Stavkaracuna(int racun, int rb) {
        this.stavkaracunaPK = new StavkaracunaPK(racun, rb);
    }

    public StavkaracunaPK getStavkaracunaPK() {
        return stavkaracunaPK;
    }

    public void setStavkaracunaPK(StavkaracunaPK stavkaracunaPK) {
        this.stavkaracunaPK = stavkaracunaPK;
    }

    public Integer getKolicina() {
        return kolicina;
    }

    public void setKolicina(Integer kolicina) {
        this.kolicina = kolicina;
    }

    public Double getCena() {
        return cena;
    }

    public void setCena(Double cena) {
        this.cena = cena;
    }

    public Double getIznos() {
        return iznos;
    }

    public void setIznos(Double iznos) {
        this.iznos = iznos;
    }

    public Racun getRacun1() {
        return racun1;
    }

    public void setRacun1(Racun racun1) {
        this.racun1 = racun1;
    }

    public Proizvod getProizvod() {
        return proizvod;
    }

    public void setProizvod(Proizvod proizvod) {
        this.proizvod = proizvod;
    }

    
    
    
    @Override
    public int hashCode() {
        int hash = 0;
        hash += (stavkaracunaPK != null ? stavkaracunaPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Stavkaracuna)) {
            return false;
        }
        Stavkaracuna other = (Stavkaracuna) object;
        if ((this.stavkaracunaPK == null && other.stavkaracunaPK != null) || (this.stavkaracunaPK != null && !this.stavkaracunaPK.equals(other.stavkaracunaPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "datamodel.Stavkaracuna[ stavkaracunaPK=" + stavkaracunaPK + " ]";
    }
    
}
